# YOSHIKAWA, Tomohiro 2005.11.16
# for ver >= 2.12.2
procedure basename(path)

string path {prompt="path name to get basename"}
bool dir {no, prompt="output directory name"}
bool suffix {no, prompt="output suffix"}

begin
	int dot, slash, len
	string fname, dname, sname # output file/directory/suffix name
	string _path
	bool _dir, _suffix
	
	_path = path
	_dir = dir
	_suffix = suffix
	
	slash=strldx("/", _path)
	dot=strldx(".", _path)
	if(slash > dot) dot = 0
	len=strlen(_path);
	dname = ""
	sname = ""
	if(dot>0){
		fname=substr(_path, slash+1, dot-1)
	}
	else{
		fname=substr(_path, slash+1, len)
	}
	if(_dir){
		if(slash>0){
			dname=substr(_path, 1, slash)
		}
		else{
			dname="./"
		}
	}
	if(_suffix && dot>0){
		sname=substr(_path, dot+1, len)
	}
	print(fname//" "//dname//" "//sname)
end
