##################################################################
# mcsmdp.cl - pyraf interface of Mask Data Pileline for MOIRCS
# 2007.4.3   YOSHIKAWA, Tomohiro
# $Id: mcsmdp.cl,v 1.2 2007-05-11 10:04:02 tomohiro Exp $
##################################################################
package mcsmdp

## cl utilities
task syspath    =       "mcsmdp$cl/syspath.cl"

## mesoffset cl tasks
task mesoffset1 = "mcsmdp$mesoffset/mesoffset1.cl"
task mesoffset2 = "mcsmdp$mesoffset/mesoffset2.cl"
task mesoffset3 = "mcsmdp$mesoffset/mesoffset3.cl"
task makemosaic = "mcsmdp$mesoffset/makemosaic.cl"

set glbcolor = "pt=1,fr=4,al=1,tl=1,ax=1,tk=1"

## add foreign tasks
task $sed $awk = "$foreign"

## load mcsmdp_pyraf.py
pyexecute("mcsmdp$pyraf/mcsmdp_pyraf.py")

clbye()
