# specline.py - calculate line spectrums
# $Log: not supported by cvs2svn $
from pyraf import iraf
from astrocat import gaia

def redshift(lam, z):
    return lam*(1+z)

def line(z=0, linelist=iraf.osfn("mdpdb$linelist/nebulae.gaia")):
    result = []
    for data in gaia.open(linelist).readlines():
        #print key,value
        lam = redshift(data['WAVELENGTH'], z)
        #print key,lam
        result.append((data['NAME'].replace('%', ' '), lam))
    resdict = dict(result)
    return resdict
