'''
pylabinit.py - initilize pylab for pyraf
2007.08.16 YOSHIKAWA, Tomohiro
$Log: not supported by cvs2svn $
Revision 1.1  2007/09/03 08:31:38  tomohiro
initilize pylab for pyraf

'''

import threading,pylab

class PylabInit(threading.Thread):
    def run(self):
        import time,os,signal
        #print 'sleep(5)...'
        time.sleep(1)
        #print 'kill()'
        os.kill(os.getpid(), signal.SIGINT)
        #print 'sent SIGINT'
kt = PylabInit()
kt.start()
try:
    pylab.figure(1)
    pylab.figtext(0.5, 0.5, 'initializing pylab...', verticalalignment='center', ha='center', fontsize=40)
    pylab.show()
except KeyboardInterrupt:
    pass
kt.join()
pylab.close(1)
pylab.figure(1, figsize=(8,11))
pylab.clf()
pylab.figtext(0.5, 0.5, 'done', verticalalignment='center', ha='center', fontsize=40)
